jQuery(document).ready(function($) {

   $("#mp_save_connection").on('submit', function(event) {
      event.preventDefault();

      var server   = $('#server'),
          username = $('#username'),
          password = $('#password');

      var dataToPost = { 
            action         : "mp_save_connection", 
            mp_ajax_nonce  : MPAjax.mp_ajax_nonce,
            server         : server.val(),
            username       : username.val(),
            password       : password.val()
         };

      if (!server.val() || !username.val() || !password.val()) {

         $("p#error").text('Tutti i campi sono richiesti.')
         $("div#error").show();

      } else {
      
         $.ajax({
            type : "post",
            dataType : "json",
            url : MPAjax.ajaxurl,
            data : dataToPost,
            success: function(response) {
              if (response.success) {
                $("p#success").text(response.msg);
                $("div#success").show();
              } else {
                $("p#error").text(response.msg)
                $("div#error").show();
              }
            }
         })
      }
   })


   $("#mp_save_lists").on('submit', function(event) {
      event.preventDefault();

      var subscribers_list   = $('#subscribers_list option:selected'),
          users_list         = $('#users_list option:selected');

      var dataToPost = { 
            action         : "mp_save_lists", 
            mp_ajax_nonce  : MPAjax.mp_ajax_nonce,
            subscribers_list          : subscribers_list.val(),
            users_list                : users_list.val()
         };

      if (subscribers_list.val() == "0" || users_list.val() == "0") {

         $("p#error").text('Seleziona la lista prima di salvare!');
         $("div#error").show();

      } else {
      
         $.ajax({
            type : "post",
            dataType : "json",
            url : MPAjax.ajaxurl,
            data : dataToPost,
            success: function(response) {
              if (response.success) {
                $("p#success").text(response.msg);
                $("div#success").show();
              } else {
                $("p#error").text(response.msg)
                $("div#error").show();
              }
            }
         })
      }
   })
   $('.mp_edit').on('click', function(event) {
     event.preventDefault();
     $('#mp_save_connection').toggle();
   });
    $("#mp_save_fields").on('submit', function(event) {
      event.preventDefault();

      var fields               = $('.fields').serializeArray(),
          custom_fields        = $('.custom_fields').serializeArray();

      var dataToPost = { 
            action         : "mp_save_fields", 
            mp_ajax_nonce  : MPAjax.mp_ajax_nonce,
            fields         : fields,
            custom_fields  : custom_fields
         };
  
         $.ajax({
            type : "post",
            dataType : "json",
            url : MPAjax.ajaxurl,
            data : dataToPost,
            success: function(response) {
              if (response.success) {
                $("p#success").text(response.msg);
                $("div#success").show();
              } else {
                $("p#error").text(response.msg)
                $("div#error").show();
              }
            }
         })
    })

    $("#mp_do_sync").on('submit', function(event) {
      event.preventDefault();

      var dataToPost = { 
            action         : "mp_do_sync", 
            mp_ajax_nonce  : MPAjax.mp_ajax_nonce
         };
      $("#loading").show();
      $('.button-primary').attr('disabled',true);
         $.ajax({
            type : "post",
            dataType : "json",
            url : MPAjax.ajaxurl,
            data : dataToPost,
            success: function(response) {
              $("#loading").hide();
              $('.button-primary').removeAttr('disabled');
              $("div#msg ul").html('<li>Utenti aggiunti :'+response.usersToAdd+'</li><li> Utenti aggiornati :'+response.usersToUpd+'</li>');
              $("div#msg").show();
            }
         })
    })
})