<?php

class MP_JS {
	private $api;
	private $mp_options;
	private $fields;

	public function __construct()
	{

		$this->mp_options = get_option('mp_options');

		$this->api = new api4marketing( $this->mp_options['server'],
										$this->mp_options['username'],
										$this->mp_options['password'] );

		$this->fields = array('First Name' ,'Last Name' , 'Company', 'Address',
							  'Address 2', 'City', 'Postcode', 'State',
							  'Country', 'Phone', 'Ultimo Acquisto');

		add_action('jigoshop_checkout_update_order_meta', array($this,'mp_JS_checkout'),10, 2 );

		add_action('update_user_meta', array($this,'mp_JS_profile_update'),10);

		MarketingPlugin::$fields = $this->fields;
	}
	public function mp_JS_profile_update()
	{
		$user_id 	 = get_current_user_id();
		$fields_info = array();
		$fields 	 = $this->mp_options['fields'];

		if (MarketingPlugin::$check_version) {
			if ($this->mp_options['custom_fields'])
				$fields = array_merge($this->mp_options['fields'],$this->mp_options['custom_fields']);

			if(Mp_UserFields::fields())
				$this->fields = array_merge(Mp_UserFields::fields(),$this->fields);
		}
		foreach ($this->fields as $value) {
   			$field_name = str_replace(" ", "_", strtolower($value));
			$fields_info[$field_name] = $_POST['billing-'.$field_name];
		}

		unset($fields_info['ultimo_acquisto']);
		unset($fields['ultimo_acquisto']);

		$user_email = get_the_author_meta('user_email', $user_id );

		$subscriber = $this->api->getSubscriber($this->mp_options['users_list'],$user_email);

		$this->api->updSubscriber($subscriber->SubscriberID,$this->mp_options['users_list'],$user_email,$fields,$fields_info);

	}
	public function mp_JS_checkout($order_id, $posted)
	{

		$fields_info = array();
		$fields 	 = $this->mp_options['fields'];
		$user 		 = wp_get_current_user();

		if (MarketingPlugin::$check_version) {
			if ($this->mp_options['custom_fields'])
				$fields = array_merge($this->mp_options['fields'],$this->mp_options['custom_fields']);

			if(Mp_UserFields::fields())
				$this->fields = array_merge(Mp_UserFields::fields(),$this->fields);
		}

		foreach ($this->fields as $value) {
   			$field_name = str_replace(" ", "_", strtolower($value));
   			if (isset($posted['billing-'.$field_name]))
				$fields_info[$field_name] = $posted['billing-'.$field_name];
		}

		$fields_info['ultimo_acquisto'] = date('Y-m-d');

		$user_email = get_the_author_meta('user_email', $user->ID );

		$this->api->subscribe($this->mp_options['users_list'],$user_email,$fields,$fields_info);

   			$response = $this->api->getResponse();

   			if ($response->ErrorCode == 9) {

				$subscriber = $this->api->getSubscriber($this->mp_options['users_list'],$user_email);

				$this->api->updSubscriber($subscriber->SubscriberID,$this->mp_options['users_list'],$user_email,$fields,$fields_info);

			}
	}
}

?>