<?php 

class MP_WC {
	private $api;
	private $mp_options;
	private $fields;

	public function __construct()
	{

		$this->mp_options = get_option('mp_options');

		$this->api = new api4marketing( $this->mp_options['server'],
										$this->mp_options['username'],
										$this->mp_options['password'] );

		$this->fields = array('Billing First Name' ,'Billing Last Name' , 'Billing Company', 'Billing Address 1',
							  'Billing Address 2', 'Billing City', 'Billing Postcode', 'Billing State',
							  'Billing Country', 'Billing Phone', 'Ultimo Acquisto');

		add_action( 'woocommerce_customer_save_address', array($this,'mp_WC_profile_update'),10, 1 );
		add_action( 'woocommerce_checkout_order_processed', array($this,'mp_WC_checkout'),10,2 );

		MarketingPlugin::$fields = $this->fields;
	}
	public function mp_WC_profile_update($user_id)
	{	
		
		$fields_info = array();
		$fields 	 = $this->mp_options['fields'];

		if (MarketingPlugin::$check_version) {
			if ($this->mp_options['custom_fields'])
				$fields = array_merge($this->mp_options['fields'],$this->mp_options['custom_fields']);

			if(Mp_UserFields::fields())
				$this->fields = array_merge(Mp_UserFields::fields(),$this->fields);
		}

		foreach ($this->fields as $value) {
   			$field_name = str_replace(" ", "_", strtolower($value));
			$fields_info[$field_name] = get_the_author_meta( $field_name, $user_id );
		}
		
		$user_email = get_the_author_meta('user_email', $user_id);
		
		$subscriber = $this->api->getSubscriber($this->mp_options['users_list'],$user_email);

		$this->api->updSubscriber($subscriber->SubscriberID,$this->mp_options['users_list'],$user_email,$fields,$fields_info);

	}
	public function mp_WC_checkout($order_id, $posted)
	{	

		$fields_info = array();
		$fields 	 = $this->mp_options['fields'];
		$user 		 = wp_get_current_user();

		if (MarketingPlugin::$check_version) {
			if ($this->mp_options['custom_fields'])
				$fields = array_merge($this->mp_options['fields'],$this->mp_options['custom_fields']);

			if(Mp_UserFields::fields())
				$this->fields = array_merge(Mp_UserFields::fields(),$this->fields);
		}
		
		foreach ($this->fields as $value) {
   			$field_name = str_replace(" ", "_", strtolower($value));
   			if (isset($posted[$field_name]))
				$fields_info[$field_name] = $posted[$field_name];
		}

		$fields_info['ultimo_acquisto'] = date('Y-m-d'); 

		if($user->ID) {
			$user_email = get_the_author_meta('user_email', $user->ID );
		} else {
			$user_email = $posted['billing_email'];
		}
		

		$this->api->subscribe($this->mp_options['users_list'],$user_email,$fields,$fields_info);
   			
   			$response = $this->api->getResponse();

   			if ($response->ErrorCode == 9) {

				$subscriber = $this->api->getSubscriber($this->mp_options['users_list'],$user_email);

				$this->api->updSubscriber($subscriber->SubscriberID,$this->mp_options['users_list'],$user_email,$fields,$fields_info);

			}
	}

}

?>